// 引入 angular 动画组件
import {trigger, style, state, transition, animate} from '@angular/animations';

export const flyIn = trigger('EnterLeave', [
    // state('flyIn', style({transform: 'translateX(0)'})),
    transition(':enter', [
        style({transform: 'translateX(100%)'}), animate('300ms ease-in')
    ]),
    transition(':leave', [
        animate('1300ms ease-out', style({transform: 'translateX(-100%)'}))
    ])
    ]
);
